package ink.wgink.exceptions.rpc;

import ink.wgink.exceptions.base.SystemException;

/**
 * @ClassName: RemoteException
 * @Description: 远程响应异常
 * @Author: wanggeng
 * @Date: 2021/9/19 8:58 下午
 * @Version: 1.0
 */
public class RemoteResponseException extends SystemException {

    public RemoteResponseException() {
        super();
    }

    public RemoteResponseException(String message) {
        super(message);
    }

    public RemoteResponseException(String message, boolean withMsg) {
        super(message, withMsg);
    }

    public RemoteResponseException(String message, Throwable cause) {
        super(message, cause);
    }

    public RemoteResponseException(Throwable cause) {
        super(cause);
    }

}
